Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Sep 2014, 00:40
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
OpenVPN 2.2.2 + GDAdmin Server/Client GUI (Lucid 528-004)
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
chrome307


Joined: 15 Jan 2009
Posts: 713

PostPosted: Wed 14 Mar 2012, 06:52    Post_subject:  OpenVPN 2.2.2 + GDAdmin Server/Client GUI (Lucid 528-004)
Sub_title: Virtual Private Network Tools
 

Homepage:

http://openvpn.net/

What is OpenVPN?

With OpenVPN, you can:

tunnel any IP subnetwork or virtual ethernet adapter over a single UDP or TCP port,
configure a scalable, load-balanced VPN server farm using one or more machines which can handle thousands of dynamic connections from incoming VPN clients,
use all of the encryption, authentication, and certification features of the OpenSSL library to protect your private network traffic as it transits the internet,
use any cipher, key size, or HMAC digest (for datagram integrity checking) supported by the OpenSSL library,
choose between static-key based conventional encryption or certificate-based public key encryption,
use static, pre-shared keys or TLS-based dynamic key exchange,
use real-time adaptive link compression and traffic-shaping to manage link bandwidth utilization,
tunnel networks whose public endpoints are dynamic such as DHCP or dial-in clients,
tunnel networks through connection-oriented stateful firewalls without having to use explicit firewall rules,
tunnel networks over NAT,
create secure ethernet bridges using virtual tap devices, and
control OpenVPN using a GUI on Windows or Mac OS X.


Firstly you need to download this as the pet files are compiled with SSL support:

DOWNLOAD - openssl-1.0.0d-w-20110209.pet :

http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/pet_packages-lucid/openssl-1.0.0d-w-20110209.pet

I have attached 'sample' configuration files, but you should be able to create your own using the GUI.





Sample Configuration Files.zip
Description 
zip

 Download 
Filename  Sample Configuration Files.zip 
Filesize  5.97 KB 
Downloaded  933 Time(s) 
gadmin-openvpn-client-0.1.8-i686.pet
Description 
pet

 Download 
Filename  gadmin-openvpn-client-0.1.8-i686.pet 
Filesize  75.89 KB 
Downloaded  1161 Time(s) 
gadmin-openvpn-server-0.1.6-i686.pet
Description 
pet

 Download 
Filename  gadmin-openvpn-server-0.1.6-i686.pet 
Filesize  80.2 KB 
Downloaded  866 Time(s) 
openvpn-2.2.2-i686.pet
Description 
pet

 Download 
Filename  openvpn-2.2.2-i686.pet 
Filesize  281.44 KB 
Downloaded  1134 Time(s) 
Back to top
View user's profile Send_private_message 
stiginge


Joined: 22 Mar 2007
Posts: 420
Location: Kerry, Ireland

PostPosted: Tue 23 Apr 2013, 12:30    Post_subject:  

hi, I downloaded and extracted to ~ openssl-1.0.0d-w-20110209.pet, however when I click on this to install pet i get:

Code:
Error, package  openssl-1.0.0d-w-20110209.pet failed to install


What could the reason for this be??

running 529 full

_________________
Buy silver, crash JPMorgan
Back to top
View user's profile Send_private_message 
Semme

Joined: 07 Aug 2011
Posts: 3907
Location: World_Hub

PostPosted: Tue 23 Apr 2013, 16:24    Post_subject:  

Sounds like a space problem. Is there at least 75mb's or so for personal storage?

It dwnldd with a pet extension or you renamed it?

Rt-clk >> md5sum check >> a14aafc31edbb2c02ec222e8c4bf29a5

If they don't match:
Code:
wget http://ftp.nluug.nl/ftp/pub/os/Linux/distr/puppylinux/pet_packages-lucid/openssl-1.0.0d-w-20110209.pet

.. from your dwnld directory.
Back to top
View user's profile Send_private_message 
stiginge


Joined: 22 Mar 2007
Posts: 420
Location: Kerry, Ireland

PostPosted: Wed 24 Apr 2013, 08:04    Post_subject:  

Good semme, that work for gadmin. Do you have any gadmin configuration file and settings (user/pass) for a workable vpn?
_________________
Buy silver, crash JPMorgan
Back to top
View user's profile Send_private_message 
Semme

Joined: 07 Aug 2011
Posts: 3907
Location: World_Hub

PostPosted: Wed 24 Apr 2013, 16:51    Post_subject:  

I don't, but these might help..

Configure Linux clients to connect to OpenVPN server

http://openvpn.net/index.php/open-source/documentation/howto.html
Back to top
View user's profile Send_private_message 
jjcoolaus

Joined: 09 May 2013
Posts: 1

PostPosted: Thu 09 May 2013, 07:27    Post_subject:  

Hi,
Looks like a great tool Very Happy

but when i open the client I get the error in red "OpenVPN is not installed or not in your path"

I have tried installing the openvpn-2.2.2 pet again but get the same error. What am I doing wrong please?
Thanks
Jason
Back to top
View user's profile Send_private_message 
stiginge


Joined: 22 Mar 2007
Posts: 420
Location: Kerry, Ireland

PostPosted: Thu 09 May 2013, 10:32    Post_subject:  

Semme wrote:
I don't, but these might help..

Configure Linux clients to connect to OpenVPN server

http://openvpn.net/index.php/open-source/documentation/howto.html


those are useless because they dont provide the vpn server details - ip, username,pw.

_________________
Buy silver, crash JPMorgan
Back to top
View user's profile Send_private_message 
surender

Joined: 30 Mar 2013
Posts: 63

PostPosted: Wed 08 Jan 2014, 00:43    Post_subject:  

/bin link set dev tun0 linux ip link set failed
Back to top
View user's profile Send_private_message 
surender

Joined: 30 Mar 2013
Posts: 63

PostPosted: Wed 08 Jan 2014, 17:44    Post_subject:  

--with-iproute-path=/bin/ip
but you have compiled as --with-iproute-path=/bin how can rectify this please anyone can help me please
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Network
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0601s ][ Queries: 13 (0.0042s) ][ GZIP on ]